View Issue Details

IDProjectCategoryView StatusLast Update
0005018Talerbank (demonstrator)public2017-06-06 14:18
ReporterChristian GrothoffAssigned ToMarcello Stanisci 
PriorityurgentSeverityblockReproducibilityalways
Status closedResolutionfixed 
Platformi7OSDebian GNU/LinuxOS Versionsqueeze
Product VersionSVN HEAD 
Target Version0.3Fixed in Version0.3 
Summary0005018: get emtpy (!) 400 bad request trying to /withdraw
DescriptionThere are two issues. The /withdraw fails hard giving an empty page when I try to /withdraw. The 400 Bad request is likely independent of the wallet as it seems to happen before the wallet becomes active (upon the browser processing the POST).

More importantly, the 400 bad request fails to include an adequate error response, so it is not even clear what was bad about the request. So two things need to be fixed:
1) a proper error message must be returned, and
2) we need to figure out why there is an error in the first place
Steps To ReproduceUsing the GNU Taler Wallet 0.2.2, I get the "400 Bad Request" trying to withdraw from a bank when running a bank locally (via taler-bank-manage).
Additional InformationTCP stream data:

REQUEST:

POST /withdraw HTTP/1.1
Host: localhost:8080
Connection: keep-alive
Content-Length: 108
Cache-Control: max-age=0
Origin: http://localhost:8080
Upgrade-Insecure-Requests: 1
User-Agent: Mozilla/5.0 (Linux; Android 6.0; Nexus 5 Build/MRA58N) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/56.0.2924.76 Mobile Safari/537.36
Content-Type: application/x-www-form-urlencoded
Accept: text/html,application/xhtml+xml,application/xml;q=0.9,image/webp,*/*;q=0.8
Referer: http://localhost:8080/profile
Accept-Encoding: gzip, deflate, br
Accept-Language: en-US,en;q=0.8,de;q=0.6
Cookie: sessionid=x1nm4lhvelykceks06nku3bd2kx78lvy; csrftoken=96WKcXeGBMLvpnh5tmzm5E31ZXfObRbzTmwMHj8veSDDTeAujncBIY8LlaYnKjVA

csrfmiddlewaretoken=815MtiTFM5vohFIDjnV4dDweJBmciajqShFOYENupbnwLw129oyjQXBY5O5LRC3r&kudos_amount=1.00+KUDOS

REPLY:

HTTP/1.1 400 Bad Request
X-Frame-Options: SAMEORIGIN
Content-Type: text/html; charset=utf-8
Vary: Cookie
Content-Length: 0
TagsNo tags attached.

Relationships

child of 0003464 closedChristian Grothoff Need a tool to import wire transfers from the bank 

Activities

Christian Grothoff

2017-05-20 18:17

manager   ~0012141

The bank logs say:

WSGI app 0 (mountpoint='') ready in 1 seconds on interpreter 0x55b5f29624d0 pid: 17529 (default app)
*** uWSGI is running in multiple interpreter mode ***
spawned uWSGI master process (pid: 17529)
spawned uWSGI worker 1 (pid: 17549, cores: 1)
spawned uWSGI http 1 (pid: 17550)
Session data corrupted
2017-05-20 16:10:19,520 base WARNING Session data corrupted
20/May/2017:16:10:19 +0000 HTTP/1.1 POST /withdraw HTTP/1.1 => 302
Session data corrupted
2017-05-20 16:10:19,543 base WARNING Session data corrupted
20/May/2017:16:10:19 +0000 HTTP/1.1 GET /login/?next=/withdraw HTTP/1.1 => 200
20/May/2017:16:10:19 +0000 HTTP/1.1 GET /favicon.ico HTTP/1.1 => 200
20/May/2017:16:10:26 +0000 HTTP/1.1 GET /accounts/register/ HTTP/1.1 => 200
20/May/2017:16:10:26 +0000 HTTP/1.1 GET /favicon.ico HTTP/1.1 => 200
Session data corrupted
2017-05-20 16:10:29,927 base WARNING Session data corrupted
20/May/2017:16:10:29 +0000 HTTP/1.1 POST /accounts/register/ HTTP/1.1 => 302
20/May/2017:16:10:29 +0000 HTTP/1.1 GET /profile HTTP/1.1 => 200
20/May/2017:16:10:30 +0000 HTTP/1.1 GET /favicon.ico HTTP/1.1 => 200
20/May/2017:16:10:37 +0000 HTTP/1.1 POST /withdraw HTTP/1.1 => 400
20/May/2017:16:10:37 +0000 HTTP/1.1 GET /favicon.ico HTTP/1.1 => 200

Marcello Stanisci

2017-05-23 14:09

manager   ~0012146

fixed in fb37e89 (leftover from the amount reformatting)

Issue History

Date Modified Username Field Change
2017-05-20 18:16 Christian Grothoff New Issue
2017-05-20 18:16 Christian Grothoff Status new => assigned
2017-05-20 18:16 Christian Grothoff Assigned To => Marcello Stanisci
2017-05-20 18:17 Christian Grothoff Note Added: 0012141
2017-05-20 18:18 Christian Grothoff Relationship added child of 0003464
2017-05-23 14:09 Marcello Stanisci Status assigned => resolved
2017-05-23 14:09 Marcello Stanisci Resolution open => fixed
2017-05-23 14:09 Marcello Stanisci Note Added: 0012146
2017-05-24 01:04 Christian Grothoff Fixed in Version => 0.3
2017-06-06 14:18 Christian Grothoff Status resolved => closed